Subject: Graphics implementation.

From: [email-masked] (Rogier Wolff)
Date: Mon, 28 Jun 93 15:24:12 +0200

Hi everyone,

> People: _PLEASE_, if you can come up with a practical alternative for a 
> video system (I know you're out there Steve <grin>), speak up now. It 
> _would_ be much better to use a dumb framebuffer attached to the CPU, but I 
> fear that the extra logic required to generate monitor signals and clock 
> the data out of the VRAM at the right speed would be a 

I've "posted" this before, but we have a solution using a SGS-Thompson
G335. It has a hook to the system bus on one side, and a video
bus on the other side. The video memory is simply mapped in the
processors memory address space (like normal DRAM). The G335 will
perform a DMA cycle every 1024*4 pixels (at 4 pixels / word).

The G335 has onboard 8 bit DACs, so you don't have to buy a separate
RAMDAC. Simple single chip solution. Also runs upto 1280x1024 at 70Hz.....

Disadvantages: costs around $100, is an SMD.

Since it is a single chip you can save a lot on extra "small glue" components
and assembly costs. (these add up you know). About the SMD: With a little
care and patience, you can solder one on a board in a few hours (I know,
I've done it.....).

I agree: you don't want to do 30 of them. You'll be fed up with doing this
after a few of them. On the other hand, you might get a little more 
experience, and speed things up a lot.

					Roger.